#
# spec file for package python-pyfribidi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define mod_name pyfribidi

Name:           python-pyfribidi
Version:        0.11.0
Release:        3.2
Summary:        Wrapper for fribidi
Group:          Development/Languages/Python
License:        BSD-2-Clause
Url:            http://pypi.python.org/pypi/fribidi
Source0:        http://pypi.python.org/packages/source/p/%{mod_name}/%{mod_name}-%{version}.zip
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True);")}
%endif
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
Requires:       fribidi
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Wrapper package for fribidi. This is an additional package for
mwlib.xhtml

%prep
%setup -n %{mod_name}-%{version}


%build
python setup.py build


%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
 
%files
%defattr(-,root,root)
%{python_sitearch}

%changelog
* Thu Nov  7 2013 p.drouand@gmail.com
- Remove MANIFEST.in and PKG-INFO from documentation
* Wed Nov  6 2013 Sascha Manns <saigkill@opensuse.org>
- initial release (version 0.11.0)
